Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.handlers
Class SimpleAuthenticationHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.handlers.SimpleAuthenticationHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class SimpleAuthenticationHandler
extends BasicHandler

Just a simple Authentication Handler to see if the user specified in the Bag in the MessageContext is allowed to continue. Just look for 'user' and 'password' in a file called 'users.lst'. Replace this with your 'real' authenication code.

Author:
  Doug Davis (dug@us.ibm.com), Sam Ruby (rubys@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`SimpleAuthenticationHandler()`

Method Summary
`void` | `invoke(MessageContext msgContext)` Authenticate the user and password from the msgContext

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### SimpleAuthenticationHandler

    public SimpleAuthenticationHandler()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Authenticate the user and password from the msgContext

  Parameters:
    `msgContext` - the `MessageContext` to process with this `Handler`.
  Throws:
    `AxisFault` - if the handler encounters an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.